_grk_plugin_decompress_callback_info Struct Reference

`#include <grok.h>`

## Public Attributes

size_t | deviceId
GROK_INIT_DECOMPRESSORS | init_decompressors_func
const char * | input_file_name
const char * | output_file_name
GRK_CODEC_FORMAT | decod_format
GRK_SUPPORTED_FILE_FMT | cod_format
grk_codec * | codec
grk_header_info | header_info
grk_decompress_parameters * | decompressor_parameters
grk_image * | image
bool | plugin_owns_image
grk_plugin_tile * | tile
unsigned int | error_code
uint32_t | decompress_flags
uint32_t | full_image_x0
uint32_t | full_image_y0
void * | user_data

## Member Data Documentation

## cod_format

GRK_SUPPORTED_FILE_FMT _grk_plugin_decompress_callback_info::cod_format

## codec

grk_codec* _grk_plugin_decompress_callback_info::codec

## decod_format

GRK_CODEC_FORMAT _grk_plugin_decompress_callback_info::decod_format

## decompress_flags

uint32_t _grk_plugin_decompress_callback_info::decompress_flags

## decompressor_parameters

grk_decompress_parameters* _grk_plugin_decompress_callback_info::decompressor_parameters

## deviceId

size_t _grk_plugin_decompress_callback_info::deviceId

## error_code

unsigned int _grk_plugin_decompress_callback_info::error_code

## full_image_x0

uint32_t _grk_plugin_decompress_callback_info::full_image_x0

## full_image_y0

uint32_t _grk_plugin_decompress_callback_info::full_image_y0

## header_info

grk_header_info _grk_plugin_decompress_callback_info::header_info

## image

grk_image* _grk_plugin_decompress_callback_info::image

## init_decompressors_func

GROK_INIT_DECOMPRESSORS _grk_plugin_decompress_callback_info::init_decompressors_func

## input_file_name

const char* _grk_plugin_decompress_callback_info::input_file_name

## output_file_name

const char* _grk_plugin_decompress_callback_info::output_file_name

## plugin_owns_image

bool _grk_plugin_decompress_callback_info::plugin_owns_image

## tile

grk_plugin_tile* _grk_plugin_decompress_callback_info::tile

## user_data

void* _grk_plugin_decompress_callback_info::user_data

The documentation for this struct was generated from the following file:

- grok.h